Subject: [TR] Triumph Hardtop Rack

From: <[email-masked]>
Date: Mon, 21 Nov 2022 19:36:30 -0500

I know there are many storage racks for the TR6 hardtop and similar - I have
one for my wife's Stag. I am looking for something I might use for the
TR4/4A/5/250 hardtop panel when it is removed to install the Surrey top. I
am thinking of something built from wood, on casters to roll around. I would
think the design would be pretty simple but thought I would check here first
in case someone has the already done the dimensions and plan. If so, they
might also have suggestions. Thanks in advance for any assistance you might
provide

Keith Stewart

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive